# $Id$
# Authority: dag
# Upstream: Robert Spier <rspier$cpan,org>

%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)

%define real_name Mail-GnuPG

Summary: Perl module to process email with GPG
Name: perl-Mail-GnuPG
Version: 0.08
Release: 1.rf
License: Artistic
Group: Applications/CPAN
URL: http://search.cpan.org/dist/Mail-GnuPG/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://www.cpan.org/modules/by-module/Mail/Mail-GnuPG-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl

%description
Mail-GnuPG is a Perl module to process email with GPG.

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall

### Clean up buildroot
%{__rm} -rf %{buildroot}%{perl_archlib} %{buildroot}%{perl_vendorarch}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes MANIFEST META.yml README
%doc %{_mandir}/man3/Mail::GnuPG.3pm*
#%doc %{_mandir}/man3/*.3pm*
%dir %{perl_vendorlib}/Mail/
#%{perl_vendorlib}/Mail/GnuPG/
%{perl_vendorlib}/Mail/GnuPG.pm

%changelog
* Thu May 03 2007 Dag Wieers <dag@wieers.com> - 0.08-1 - +/
- Initial package. (using DAR)
